# Generated by Django 4.0.10 on 2023-04-21 08:50

import api.components.action
import api.components.action_template
import api.components.block
import api.components.trigger
import api.components.trigger_template
from django.db import migrations, models
import djongo.models.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Action',
            fields=[
                ('_id', djongo.models.fields.ObjectIdField(auto_created=True, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200, unique=True)),
                ('data', djongo.models.fields.JSONField(default=dict)),
                ('action_template', djongo.models.fields.EmbeddedField(model_container=api.components.action_template.ActionTemplate, model_form_class=api.components.action_template.ActionTemplateForm, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ActionTemplate',
            fields=[
                ('_id', djongo.models.fields.ObjectIdField(auto_created=True, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100, unique=True)),
                ('description', models.CharField(max_length=100)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('data', djongo.models.fields.JSONField(default=dict)),
            ],
        ),
        migrations.CreateModel(
            name='Rule',
            fields=[
                ('_id', djongo.models.fields.ObjectIdField(auto_created=True, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100, unique=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('is_active', models.BooleanField(default=False)),
                ('last_triggerd', models.DateTimeField(null=True)),
                ('trigger', djongo.models.fields.EmbeddedField(model_container=api.components.trigger.Trigger, model_form_class=api.components.trigger.TriggerForm, null=True)),
                ('actions', djongo.models.fields.ArrayField(model_container=api.components.action.Action, model_form_class=api.components.action.ActionForm, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='RuleTemplate',
            fields=[
                ('_id', djongo.models.fields.ObjectIdField(auto_created=True, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100, unique=True)),
                ('description', models.CharField(max_length=100)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('action_templates', djongo.models.fields.ArrayField(model_container=api.components.action_template.ActionTemplate, model_form_class=api.components.action_template.ActionTemplateForm, null=True)),
                ('trigger_template', djongo.models.fields.EmbeddedField(model_container=api.components.trigger_template.TriggerTemplate, model_form_class=api.components.trigger_template.TriggerTemplateForm, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Trigger',
            fields=[
                ('_id', djongo.models.fields.ObjectIdField(auto_created=True, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200, unique=True)),
                ('data', djongo.models.fields.JSONField(default=dict)),
                ('trigger_template', djongo.models.fields.EmbeddedField(model_container=api.components.trigger_template.TriggerTemplate, model_form_class=api.components.trigger_template.TriggerTemplateForm, null=True)),
            ],
            bases=(api.components.block.Block, models.Model),
        ),
        migrations.CreateModel(
            name='TriggerTemplate',
            fields=[
                ('_id', djongo.models.fields.ObjectIdField(auto_created=True, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100, unique=True)),
                ('description', models.CharField(max_length=100)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('data', djongo.models.fields.JSONField(blank=True, default=dict)),
            ],
        ),
    ]
